Bug 186249 - [patch] devel/ncurses MANPAGES option
Summary: [patch] devel/ncurses MANPAGES option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-29 17:40 UTC by Zsolt Udvari
Modified: 2019-01-01 00:19 UTC (History)
2 users (show)

See Also:


Attachments
ncurses-manpages.diff (56.67 KB, patch)
2014-01-29 17:40 UTC, Zsolt Udvari
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zsolt Udvari 2014-01-29 17:40:01 UTC
Introduce MANPAGES option into devel/ncurses.
Comment 1 Edwin Groothuis freebsd_committer 2014-01-29 17:40:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bapt

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Baptiste Daroussin freebsd_committer 2014-06-02 18:38:52 UTC
I do not see the point here, I'm more planning to add something global via pkg(8) so that a user can define do never install anything going into /usr/local/man for example.
Comment 3 Walter Schwarzenfeld freebsd_triage 2018-01-10 11:27:28 UTC
No reply since May 2014. So I think this could closed.
Comment 4 commit-hook freebsd_committer 2018-12-31 23:56:10 UTC
A commit references this bug:

Author: swills
Date: Mon Dec 31 23:55:56 UTC 2018
New revision: 488848
URL: https://svnweb.freebsd.org/changeset/ports/488848

Log:
  devel/ncurses: update to 6.1.20181229

  While here:

  * Fix bogus CFLAGS by putting back configure patch [1]
  * Add MANPAGES option [2]

  PR:		234049 [1]
  PR:		186249 [2]
  Submitted by:	Daniel Eisele <daniel_eisele@gmx.de> [1]
  Submitted by:	Zsolt Udvari <uzsolt@uzsolt.hu> [2]

Changes:
  head/devel/ncurses/Makefile
  head/devel/ncurses/distinfo
  head/devel/ncurses/files/
  head/devel/ncurses/files/patch-configure
  head/devel/ncurses/pkg-plist
Comment 5 Steve Wills freebsd_committer 2019-01-01 00:19:06 UTC
Committed, sorry it took SO long. Thanks for your patience!